Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001521TestLinkUsers and Rightspublic2008-05-07 15:492008-11-07 19:45
Reporterxavier 
Assigned Toschlundus 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 Beta 3 
Summary0001521: testlink 1.8 : unable to create a new User with the latest build
DescriptionHi,

I've just Checkout the last testlink revision (update from testlink beta2 to the latest CVS revision)

I'm loging with the admin account, and trying to create a new user:

Fatal error: Call to a member function hasRight() on a non-object in /var/www/testlink_beta/lib/usermanagement/usersEdit.php on line 87

Additional Informationhere is my quick and ugly fix :
cvs diff lib/usermanagement/usersEdit.php
cvs diff: CVS password file /home/xavier/.cvspass does not exist - creating a new file
Index: lib/usermanagement/usersEdit.php
===================================================================
RCS file: /cvsroot/testlink/testlink/lib/usermanagement/usersEdit.php,v
retrieving revision 1.23
diff -r1.23 usersEdit.php
87c87
< $smarty->assign('mgt_view_events',$user->hasRight($db,"mgt_view_events"));
---
> $smarty->assign('mgt_view_events',has_rights($db,"mgt_view_events"));
397c397
< ?>
\ No newline at end of file
---
> ?>
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFireFox
PHP VersionPHP Version 5.2.3-1ubuntu6.3
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-05-07 15:49 xavier New Issue
2008-05-07 15:49 xavier Browser => FireFox
2008-05-07 15:49 xavier PHP Version => PHP Version 5.2.3-1ubuntu6.3
2008-05-08 01:18 schlundus Status new => assigned
2008-05-08 01:18 schlundus Assigned To => schlundus
2008-05-08 01:51 schlundus Status assigned => resolved
2008-05-08 01:51 schlundus Fixed in Version => 1.8 RC 1 (planned)
2008-05-08 01:51 schlundus Resolution open => fixed
2008-09-16 02:31 mhavlat Fixed in Version next development 1.8 RC 1 => 1.8 Beta 3
2008-11-07 19:45 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker